var index =
[
    [ "Describing the virtual platform", "platform.html", [
      [ "Describing the platform with XML", "platform.html#pf_overview", null ],
      [ "First Platform Example", "platform.html#pf_first_example", null ],
      [ "Resource description", "platform.html#pf_res", [
        [ "Computing Resources", "platform.html#pf_res_computing", [
          [ "<host>", "platform.html#pf_tag_host", null ],
          [ "<cluster>", "platform.html#pf_tag_cluster", null ],
          [ "<cabinet>", "platform.html#pf_cabinet", null ],
          [ "<peer> (Vivaldi netzones only)", "platform.html#pf_peer", null ]
        ] ],
        [ "Network equipments", "platform.html#pf_ne", [
          [ "<router/>", "platform.html#pf_router", null ],
          [ "<link>", "platform.html#pf_tag_link", null ],
          [ "<backbone/>", "platform.html#pf_backbone", null ]
        ] ],
        [ "Storage", "platform.html#pf_storage", [
          [ "Storage - Main Concepts", "platform.html#pf_sto_conc", null ],
          [ "The Storage Entities", "platform.html#pf_storage_entities", null ],
          [ "<storage>", "platform.html#pf_tag_storage", null ],
          [ "<mount>", "platform.html#pf_tag_mount", null ],
          [ "Example files", "platform.html#pf_storage_example_files", null ],
          [ "Modelling different situations", "platform.html#pf_storage_examples_modelling", null ]
        ] ]
      ] ],
      [ "Routing", "platform.html#pf_routing", [
        [ "<zone>", "platform.html#pf_tag_zone", null ],
        [ "Routing models", "platform.html#pf_rm", [
          [ "The router affair", "platform.html#pf_raf", null ],
          [ "Shortest-path based models", "platform.html#pf_routing_model_shortest_path", null ],
          [ "Manually-entered route models", "platform.html#pf_routing_model_manual", null ],
          [ "Simple/fast models", "platform.html#pf_routing_model_simple", null ]
        ] ],
        [ "Defining routes", "platform.html#ps_dec", [
          [ "<link_ctn>", "platform.html#pf_tag_linkctn", null ],
          [ "<zoneRoute>", "platform.html#pf_tag_zoneroute", null ],
          [ "<route>", "platform.html#pf_tag_route", null ],
          [ "bypasszoneroute", "platform.html#pf_tag_bypassasroute", null ],
          [ "bypassRoute", "platform.html#pf_tag_bypassroute", null ]
        ] ],
        [ "Basic Routing Example", "platform.html#pb_baroex", null ]
      ] ],
      [ "Other tags", "platform.html#pf_other", [
        [ "<config>", "platform.html#pf_tag_config", null ],
        [ "<prop>", "platform.html#pf_tag_prop", null ],
        [ "trace and trace_connect", "platform.html#pf_trace", null ]
      ] ],
      [ "Hints, tips and frequently requested features", "platform.html#pf_hints", [
        [ "Finding the platform example that you need", "platform.html#pf_hints_search", null ],
        [ "How to generate different platform files?", "platform.html#pf_hint_generating", null ],
        [ "Zone Hierarchy", "platform.html#pf_zone_h", null ],
        [ "Exit Zone: why and how", "platform.html#pf_exit_zone", null ],
        [ "P2P or how to use coordinates", "platform.html#pf_P2P_tags", null ],
        [ "Choosing wisely the routing model to use", "platform.html#pf_routing_howto_choose_wisely", null ],
        [ "I want to specify the characteristics of the loopback link!", "platform.html#pf_loopback", null ],
        [ "I want to describe a switch but there is no switch tag!", "platform.html#pf_switch", null ],
        [ "I want to describe multi-cabinets clusters!", "platform.html#pf_multicabinets", null ],
        [ "I want to express multipath routing in platform files!", "platform.html#pf_platform_multipath", null ]
      ] ]
    ] ],
    [ "Describing the platform with lua", "platform_lua.html", [
      [ "Why lua ?", "platform_lua.html#pf_lua_why", null ]
    ] ],
    [ "ns-3 as a SimGrid model", "pls_ns3.html", [
      [ "Installing ns-3", "pls_ns3.html#pls_ns3_install", null ],
      [ "Enabling SimGrid's support for ns-3", "pls_ns3.html#pls_ns3_config", null ],
      [ "Using ns-3 from SimGrid", "pls_ns3.html#pls_ns3_use", [
        [ "Shortcomings of the ns-3 bindings in SimGrid", "pls_ns3.html#pls_ns3_shortcomings", null ]
      ] ],
      [ "Troubleshooting with ns-3 and SimGrid", "pls_ns3.html#pls_trouble", [
        [ "I fail to compile ns-3 within SimGrid", "pls_ns3.html#pls_ns3_config_trouble", null ],
        [ "The simulation hangs at some point", "pls_ns3.html#pls_trouble_hang", null ],
        [ "I get a warning that some routes are ignored", "pls_ns3.html#pls_trouble_warning", null ]
      ] ]
    ] ],
    [ "Deploy the simulation", "deployment.html", [
      [ "Deployment with S4U", "deployment.html#deploy_s4u", null ],
      [ "Deployment with MSG", "deployment.html#deploy_msg", null ],
      [ "Deployment with XML", "deployment.html#deploy_xml", [
        [ "Examples", "deployment.html#deploy_xml_ex", null ],
        [ "The actor tag", "deployment.html#deploy_xml_actor", null ],
        [ "The argument tag", "deployment.html#deploy_xml_argument", null ],
        [ "The prop tag", "deployment.html#deploy_xml_prop", null ],
        [ "Declaring startable functions", "deployment.html#deploy_xml_functions", null ]
      ] ]
    ] ],
    [ "Simulation Outcomes", "outcomes.html", null ],
    [ "Simulation Logging", "outcomes_logs.html", [
      [ "Main Concepts", "outcomes_logs.html#log_overview", [
        [ "Logging categories", "outcomes_logs.html#log_cat", null ],
        [ "Logging priorities", "outcomes_logs.html#log_pri", null ],
        [ "Message appenders", "outcomes_logs.html#log_app", null ],
        [ "Message layouts", "outcomes_logs.html#log_lay", null ],
        [ "History of this module", "outcomes_logs.html#log_hist", null ]
      ] ],
      [ "C Programmer interface", "outcomes_logs.html#log_API", [
        [ "Constructing the category hierarchy", "outcomes_logs.html#log_API_cat", null ],
        [ "Declaring message priority", "outcomes_logs.html#log_API_pri", null ],
        [ "Checking if a particular category/priority is enabled", "outcomes_logs.html#log_API_isenabled", null ],
        [ "Using a default category (the easy interface)", "outcomes_logs.html#log_API_subcat", null ],
        [ "Putting all together: the easy interface", "outcomes_logs.html#log_API_easy", null ],
        [ "Example of use", "outcomes_logs.html#log_API_example", null ]
      ] ],
      [ "User interface", "outcomes_logs.html#log_user", [
        [ "Configuration", "outcomes_logs.html#log_use_conf", [
          [ "Threshold configuration", "outcomes_logs.html#log_use_conf_thres", null ],
          [ "Passing several settings", "outcomes_logs.html#log_use_conf_multi", null ],
          [ "Format configuration", "outcomes_logs.html#log_use_conf_fmt", null ],
          [ "Category appender", "outcomes_logs.html#log_use_conf_app", null ],
          [ "Category additivity", "outcomes_logs.html#log_use_conf_add", null ]
        ] ],
        [ "Misc and Caveats", "outcomes_logs.html#log_use_misc", null ]
      ] ],
      [ "Internal considerations", "outcomes_logs.html#log_internals", [
        [ "Performance", "outcomes_logs.html#log_in_perf", null ],
        [ "Appenders", "outcomes_logs.html#log_in_app", null ]
      ] ]
    ] ],
    [ "Visualization and Statistical Analysis", "outcomes_vizu.html", [
      [ "Tracing categories functions", "outcomes_vizu.html#instr_category_functions", null ],
      [ "Tracing marks functions", "outcomes_vizu.html#instr_mark_functions", null ],
      [ "Tracing user variables functions", "outcomes_vizu.html#instr_uservariables_functions", null ],
      [ "Tracing configuration Options", "outcomes_vizu.html#tracing_tracing_options", null ],
      [ "Case studies", "outcomes_vizu.html#tracing_tracing_example_parameters", null ],
      [ "Example of Instrumentation", "outcomes_vizu.html#tracing_tracing_example", null ],
      [ "Analyzing SimGrid Simulation Traces", "outcomes_vizu.html#tracing_tracing_analyzing", null ]
    ] ],
    [ "Model-Checking", "outcomes_MC.html", null ],
    [ "Use Cases and Howtos", "howto.html", [
      [ "How to model churn", "howto.html#howto_churn", null ],
      [ "How to model multicore machines", "howto.html#howto_multicore", [
        [ "Pinning tasks to cores", "howto.html#howto_multicore_pinning", null ]
      ] ],
      [ "Modeling machine bootup and shutdown periods", "howto.html#howto_bootenergy", null ]
    ] ],
    [ "Under the Hood", "uhood.html", [
      [ "S4U", "uhood.html#simgrid_uhood_s4u", null ],
      [ "Asynchronous operations", "uhood.html#simgrid_uhood_async", [
        [ "Futures", "uhood.html#simgrid_uhood_futures", null ],
        [ "Timers", "uhood.html#simgrid_uhood_timer", null ]
      ] ],
      [ "Model Checker", "uhood.html#simgrid_uhood_mc", [
        [ "Address space", "uhood.html#simgrid_uhood_mc_address_space", null ],
        [ "ELF and DWARF", "uhood.html#simgrid_uhood_mc_address_elf_dwarf", null ]
      ] ]
    ] ],
    [ "Project Architecture Overview", "uhood_arch.html", [
      [ "Overview of the toolkit components", "uhood_arch.html#ug_overview", [
        [ "Programing environments layer", "uhood_arch.html#ug_overview_envs", null ],
        [ "Simulation kernel layer", "uhood_arch.html#ug_overview_kernel", null ],
        [ "Base layer", "uhood_arch.html#ug_overview_fundation", null ],
        [ "Tracing simulation", "uhood_arch.html#ug_lucas_layer", null ]
      ] ]
    ] ],
    [ "Process Synchronizations and Context Switching", "uhood_switch.html", [
      [ "SimGrid as an Operating System", "uhood_switch.html#uhood_switch_DES", null ],
      [ "Futures and Promises", "uhood_switch.html#uhood_switch_futures", [
        [ "What is a future?", "uhood_switch.html#uhood_switch_futures_what", null ],
        [ "Which future do we need?", "uhood_switch.html#uhood_switch_futures_needs", null ],
        [ "Implementing `Future` and `Promise`", "uhood_switch.html#uhood_switch_futures_implem", null ]
      ] ],
      [ "Implementing the simcalls", "uhood_switch.html#uhood_switch_simcalls", [
        [ "The historical way", "uhood_switch.html#uhood_switch_simcalls_v2", [
          [ "Blocking simcall", "uhood_switch.html#uhood_switch_v2_blocking", null ],
          [ "Asynchronous operations", "uhood_switch.html#uhood_switch_v2_async", null ]
        ] ]
      ] ]
    ] ],
    [ "Coding Standard and Technical Considerations", "uhood_tech.html", "uhood_tech" ],
    [ "The SimGrid Community", "community.html", [
      [ "Contacting the community", "community.html#community_contact", null ],
      [ "Giving back to SimGrid", "community.html#community_giveback", [
        [ "Spread the word", "community.html#contributing_spread", null ],
        [ "Reporting (and fixing) any issue you find", "community.html#contributing_bugs", null ]
      ] ],
      [ "Extending SimGrid and its Ecosystem", "community.html#community_extend", [
        [ "Contributing features and associated tools", "community.html#contributing_contrib", null ],
        [ "Possible Enhancements", "community.html#contributing_todo", [
          [ "Migration to C++", "community.html#contributing_todo_cxxification", null ],
          [ "SMPI", "community.html#contributing_todo_smpi", null ],
          [ "Model-checker", "community.html#contributing_todo_mc", null ]
        ] ]
      ] ]
    ] ],
    [ "MSG Frequently Asked Questions", "FAQ.html", [
      [ "I'm new to SimGrid. I have some questions. Where should I start?", "FAQ.html#faq_simgrid", [
        [ "What is the difference between MSG and SimDag? Do they serve the same purpose?", "FAQ.html#faq_interfaces", null ],
        [ "Visualizing and analyzing the results", "FAQ.html#faq_visualization", null ],
        [ "Argh! Do I really have to code in C?", "FAQ.html#faq_C", null ]
      ] ],
      [ "Feature related questions", "FAQ.html#faq_howto", [
        [ "\"Could you please add (your favorite feature here) to SimGrid?\"", "FAQ.html#faq_MIA", null ],
        [ "MSG features", "FAQ.html#faq_MIA_MSG", [
          [ "I want some more complex MSG examples!", "FAQ.html#faq_MIA_examples", null ],
          [ "Missing in action: MSG Task duplication/replication", "FAQ.html#faq_MIA_taskdup", null ],
          [ "How to synchronize my user processes?", "FAQ.html#faq_MIA_thread_synchronization", null ],
          [ "Where is the get_host_load function hidden in MSG?", "FAQ.html#faq_MIA_host_load", null ],
          [ "How can I get the *real* communication time?", "FAQ.html#faq_MIA_communication_time", null ]
        ] ],
        [ "SimDag related questions", "FAQ.html#faq_MIA_SimDag", [
          [ "Implementing communication delays between tasks.", "FAQ.html#faq_SG_comm", null ],
          [ "How to implement a distributed dynamic scheduler of DAGs.", "FAQ.html#faq_SG_DAG", null ]
        ] ],
        [ "Generic features", "FAQ.html#faq_MIA_generic", [
          [ "Is there a native support for batch schedulers in SimGrid?", "FAQ.html#faq_MIA_batch_scheduler", null ],
          [ "I need a checkpointing thing", "FAQ.html#faq_MIA_checkpointing", null ]
        ] ],
        [ "Platform building and Dynamic resources", "FAQ.html#faq_platform", [
          [ "Where can I find SimGrid platform files?", "FAQ.html#faq_platform_example", null ],
          [ "How can I automatically map an existing platform?", "FAQ.html#faq_platform_alnem", null ],
          [ "Generating synthetic but realistic platforms", "FAQ.html#faq_platform_synthetic", null ],
          [ "Using random variable for the resource power or availability", "FAQ.html#faq_platform_random", null ]
        ] ]
      ] ],
      [ "Troubleshooting", "FAQ.html#faq_troubleshooting", [
        [ "The feature X stopped to work after my last update", "FAQ.html#faq_trouble_changelog", null ],
        [ "SimGrid compilation and installation problems", "FAQ.html#faq_trouble_lib_compil", [
          [ "cmake fails!", "FAQ.html#faq_trouble_lib_config", null ],
          [ "Dude! \"ctest\" fails on my machine!", "FAQ.html#faq_trouble_distcheck", null ]
        ] ],
        [ "User code compilation problems", "FAQ.html#faq_trouble_compil", [
          [ "\"gcc: _simgrid_this_log_category_does_not_exist__??? undeclared (first use in this function)\"", "FAQ.html#faq_trouble_err_logcat", null ],
          [ "\"gcc: undefined reference to pthread_key_create\"", "FAQ.html#faq_trouble_pthreadstatic", null ]
        ] ],
        [ "Runtime error messages", "FAQ.html#faq_trouble_errors", [
          [ "I'm told that my XML files are too old.", "FAQ.html#faq_trouble_errors_big_fat_warning", null ]
        ] ],
        [ "Debugging SMPI applications", "FAQ.html#faq_trouble_debug", null ],
        [ "Valgrind-related and other debugger issues", "FAQ.html#faq_trouble_valgrind", [
          [ "Valgrind spits tons of errors about backtraces!", "FAQ.html#faq_trouble_vg_libc", null ],
          [ "Truncated backtraces", "FAQ.html#faq_trouble_backtraces", null ]
        ] ],
        [ "There is a deadlock in my code!!!", "FAQ.html#faq_deadlock", null ],
        [ "I get weird timings when I play with the latencies.", "FAQ.html#faq_surf_network_latency", null ],
        [ "So I've found a bug in SimGrid. How to report it?", "FAQ.html#faq_bugrepport", null ]
      ] ]
    ] ]
];